<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="" />
</head>
<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-key"></i>
    </span>
    Editar inicio
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Editar inicio</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="editarHome(editHome); openModal(ModalContentEdit)"
    *ngIf="editHome">
    <i class="mdi mdi-plus-box">Editar Inicio</i>
  </button>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModal(MC)" *ngIf="!editHome">
    <i class="mdi mdi-plus-box">Crear Inicio</i>
  </button>
</div>
<!-- boton -->
<div *ngIf="!editHome">
  <body id="page-top">
    <header class="masthead" class="masthead" style="background-image:  linear-gradient(to top, #00050c, #181b20c9, #181b2062, #181b2070, #181b205e), url({{this.imagen}})">
      <div class="container">
        <div class="masthead-subheading"><b>Usted aun no cuenta con un inicio personalizado</b></div>
        <div class="masthead-subheading"><b>Si desea personalizar su inicio, por favor presione crear inicio</b></div>
      </div>
    </header>
  </body>
</div>
<div *ngIf="editHome">
  <body id="masthead" >
    <header class="masthead" style="background-image:  linear-gradient(to top, #00050c, #181b20c9, #181b2062, #181b2070, #181b205e), url({{this.imagen}})" > 
      <div class="container">
        <div class="masthead-subheading"><b>{{editHome.titulo}}</b></div>
        <div class="masthead-subheading"><b>{{editHome.subtitulo}}</b></div>
      </div>
    </header>
  </body>
</div>

</html>

<!-- Editar inicio  -->
<ng-template class="modal fade" #ModalContentEdit let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body">
          <h4 class="card-title">Editar inicio</h4>
          <p class="card-description">
            Modifique los campos deseados para editar el inicio
          </p>
          <form class="forms-sample" #f="ngForm">
            <div class="form-group">
              <label for="exampleInputName1">Título</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="titulo" name="titulo"
                [(ngModel)]="homeModel.titulo" #titulo="ngModel" required>
            </div>
            <div class="form-group">
              <label for="exampleInputName1">subtítulo</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="subtitulo" name="subtitulo"
                [(ngModel)]="homeModel.subtitulo" #subtitulo="ngModel" required>
            </div>
            <div class="forms-sample">
              <div class="form-group">
                <label for="exampleInputName2">Imagen</label>
                <input (change)="fileChange(imagen.files ); capturarFile($event)" type="file" class="form-control-file"
                  id="exampleInputName2" #imagen style="background-color:dark" >
              </div>
            </div>
            <div *ngIf="previsualizacion">
              <img [src]="this.previsualizacion" width="250px" style="border-radius: 20px;" alt="" >
            </div>
            <div *ngIf="!previsualizacion">
              <img [src]="obtenerImagen(homeModel.imagen)" width="250px" style="border-radius: 20px;" alt="" >
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(modal, titulo.value, subtitulo.value)"
        [disabled]="f.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->

<!-- Modal crear inicio -->
<ng-template class="modal fade" #MC let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body" [formGroup]="homeCreate">
          <h4 class="card-title">Crear home</h4>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Titulo</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese un Titulo" #titulo
                style="background-color:dark" formControlName="titulo">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Subtitulo</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese una subtitulo"
                #subtitulo style="background-color:dark" formControlName="subtitulo">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Imagen</label>
              <input (change)="fileChangeCreate(imagen.files); capturarFile($event)" type="file" class="form-control-file"
                id="exampleInputName2" #imagen style="background-color:dark" formControlName="imagen">
            </div>
          </div>
          <div *ngIf="previsualizacion">
            <img [src]="this.previsualizacion" width="250px" style="border-radius: 20px;" alt="">
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="crearHome(homeCreate.value, modal)"
        [disabled]="this.homeCreate.invalid">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->
